Adiciona um documento ao submerchant.
/v1/submerchants/{id}/documentsbasicAuth Autenticação via chave de API. Use publicKey:secretKey codificado em Base64 no header Authorization: Basic {credentials}.
In: header
ID do submerchant
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Documentos obrigatórios variam por tipo de entidade. PJ: SOCIAL_CONTRACT, CNPJ_CARD, FRONT_ID_DOC, BACK_ID_DOC, SELFIE_PHOTO. PF: FRONT_ID_DOC, BACK_ID_DOC, SELFIE_PHOTO. Formatos aceitos: PNG, JPG, JPEG, PDF.
application/json
application/json
application/json
curl -X POST "https://example.com/v1/submerchants/string/documents" \ -H "Content-Type: application/json" \ -d '{ "type": "string", "file_url": "string", "file_name": "string", "file_size": 1, "mime_type": "string" }'{
"success": true,
"message": "string",
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"submerchant_id": "0534fe1e-3158-45a7-83b1-35fcc9d94bc5",
"type": "string",
"number": "string",
"file_url": "string",
"file_name": "string",
"file_size": 0,
"mime_type": "string",
"status": "pending",
"verified_at": "2019-08-24T14:15:22Z",
"verification_notes": "string",
"expires_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"success": false,
"message": "string",
"error": "string"
}{
"success": false,
"message": "string",
"error": "string"
}Tipo do documento. PJ: SOCIAL_CONTRACT, CNPJ_CARD, FRONT_ID_DOC, BACK_ID_DOC, SELFIE_PHOTO. PF: FRONT_ID_DOC, BACK_ID_DOC, SELFIE_PHOTO
Número do documento (ex: número do RG)
URL do arquivo já hospedado
Nome do arquivo com extensão
Tamanho do arquivo em bytes
Tipo MIME (application/pdf, image/png, image/jpeg)
Data de validade do documento (ISO 8601)